> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Topic

> Permanently delete an email topic.

Delete an email topic. Contacts will no longer have subscription settings tied to this topic.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the topic.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="success" type="boolean">True if successfully deleted.</ResponseField>
  <ResponseField name="id" type="string">The deleted topic ID.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.mailofly.com/api/v1/topics/top_123 \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "success": true,
      "id": "top_123"
    }
  }
  ```
</ResponseExample>


## Related topics

- [Topics](/audience/topics.md)
- [Retrieve Topic](/api/topics/retrieve-topic.md)
- [Update Topic](/api/topics/update-topic.md)
- [Create Topic](/api/topics/create-topic.md)
- [List Topics](/api/topics/list-topics.md)
